Bug 1299409 - OSD processes doesn't have a PID and hence sysvinit fails to restart the OSD processes
Summary: OSD processes doesn't have a PID and hence sysvinit fails to restart the OSD ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RADOS
Version: 1.3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 1.3.3
Assignee: Kefu Chai
QA Contact: ceph-qe-bugs
Bara Ancincova
URL:
Whiteboard:
: 1236693 1267035 (view as bug list)
Depends On: 1335269
Blocks: 1228385 1319075 1372735
TreeView+ depends on / blocked
 
Reported: 2016-01-18 10:21 UTC by Vimal Kumar
Modified: 2019-12-16 05:17 UTC (History)
16 users (show)

Fixed In Version: RHEL: ceph-0.94.7-5.el7cp Ubuntu: ceph_0.94.7-3redhat1trusty
Doc Type: Bug Fix
Doc Text:
.OSDs now obtain PID files properly during an upgrade After upgrading from Red Hat Ceph Storage 1.2 to 1.3, some of the OSD daemons did not obtain PID files properly. As a consequence, such OSDs could not be restarted or stopped by using SysVinit commands and therefore could not be upgraded to the newer version. This update ensures that OSDs obtain PID files properly during an upgrade. As a result, OSDs are upgraded to newer versions as expected.
Clone Of:
Environment:
Last Closed: 2016-09-29 12:55:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 13422 None None None 2016-01-20 13:26:28 UTC
Ceph Project Bug Tracker 14583 None None None 2016-02-17 04:58:11 UTC
Red Hat Knowledge Base (Solution) 1756313 None None None 2017-07-30 15:12:23 UTC
Red Hat Product Errata RHSA-2016:1972 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage 1.3.3 security, bug fix, and enhancement update 2016-09-29 16:51:21 UTC

Internal Links: 1267035

Comment 2 Kefu Chai 2016-01-20 13:25:55 UTC
sounds like http://tracker.ceph.com/issues/13422 .

Comment 7 Kefu Chai 2016-02-01 05:15:22 UTC
*** Bug 1267035 has been marked as a duplicate of this bug. ***

Comment 8 Neil Levine 2016-02-05 19:25:15 UTC
*** Bug 1236693 has been marked as a duplicate of this bug. ***

Comment 13 Kefu Chai 2016-03-21 09:07:10 UTC
the hammer backport was merged.

Comment 20 RHEL Program Management 2016-04-28 03:15:21 UTC
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 32 errata-xmlrpc 2016-09-29 12:55:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1972.html


Note You need to log in before you can comment on or make changes to this bug.